#!/bin/bash

export JAVA_RTREE_OPTS=-Xmx12g

runTest() {
	echo "zpool-output-$2-u2_r$1"
	./rtree21/bin/java-rtree -n 100000000 -rbs 32768 -wbs 32768 -b 1048576 -f 8 -s 1337 -curve $2 -draw -tag linux -runs 1 -levels 4 -bt 2 -bmt 2 -mt 1 -mstrat stream -rf $1 > output-$2-u2_r$1.log 2>&1 &
	zpool iostat fastpool 1 230 > zpool-output-$2-u2_r$1.log 2>&1 &
	sleep 240
}

runTest "1" "Z"
runTest "1" "H"
runTest "4" "Z"
runTest "4" "H"

echo "!!DONE!!"

