package no.vestein.rtree.lsm;


public class Entry extends BaseNode2D {
  public long uuid;

  public Entry(float xl, float xh, float yl, float yh) {
    super(xl, xh, yl, yh);
    this.uuid = BitMagic.randomLong();
  }

  public Entry(float xl, float xh, float yl, float yh, long lhv, long uuid) {
    super(xl, xh, yl, yh, lhv);
    this.uuid = uuid;
  }

  public Entry(float xl, float xh, float yl, float yh, long lhv) {
    this(xl, xh, yl, yh, lhv, BitMagic.randomLong());
  }

  @Override
  int getSize() {
    return IOLSM.ENTRY_SIZE;
  }

}
