package no.vestein.rtree.lsm;


public class Node extends BaseNode2D {
  public int start;
  public int length;
  public int level;

  public Node(float xl, float xh, float yl, float yh) {
    super(xl, xh, yl, yh);
  }

  @Override
  int getSize() {
    return IOLSM.NODE_SIZE;
  }

  public Node(float xl, float xh, float yl, float yh, int start, int lenght, int level) {
    super(xl, xh, yl, yh);
    this.start = start;
    this.length = lenght;
    this.level = level;
  }

  public Node(float xl, float xh, float yl, float yh, long lhv, int start, int length, int level) {
    this(xl, xh, yl, yh, start, length, level);
    this.lhv = lhv;
  }

}
