#!/bin/bash

export JAVA_RTREE_OPTS=-Xmx12g


runTest() {
	echo "zpool-output-zorder-u2_f$1"
	./rtree21/bin/java-rtree -n 100000000 -rbs 32768 -wbs 32768 -b 1048576 -f $1 -s 1337 -curve Z -draw -tag linux -runs 1 -levels 4 -bt 2 -bmt 2 -mt 1 -mstrat stream -rf 4 > output-zorder-u2_f$1.log 2>&1 &
	zpool iostat fastpool 1 230 > zpool-output-zorder-u2_f$1.log 2>&1 &
	sleep 240
}


runTest "2"
runTest "4"
runTest "8"
runTest "16"
runTest "32"
runTest "64"

echo "!!DONE!!"

