import re
import argparse
from os import listdir
from os.path import isfile, join

def transformFile(inputfile):
	with open(inputfile, 'r') as file:
		with open(inputfile + ".txt", 'w') as out:
			n = 0
			out.write("time\treads\twrites\tread\twrite\n")
			for line in file:
	#			temp = re.sub('M', '', line)
	#			temp = re.sub('(\d+)\.(\d+)G', '\1\20', temp)

				t = re.sub('\s+', ' ', line)

				s = t.split(' ')
				if (len(s) < 7):
					continue
				if s[0] == "pool":
					continue
				if "-----" in s[0]:
					continue
				#print(s)

				c1 = re.sub(r"(\d+)\.(\d+)K", r"\1\g<2>0", s[3])
				c1 = re.sub(r"1K", r"1000", c1)
				c2 = re.sub(r"(\d+)\.(\d+)K", r"\1\g<2>0", s[4])
				c2 = re.sub(r"1K", r"1000", c2)

				c3 = re.sub('M', '', s[5])
				c3 = re.sub(r".+K", '0', c3)
				#c3 = re.sub(r"\.", ',', c3)

				c4 = re.sub('M', '', s[6])
				c4 = re.sub(r".+K", '0', c4)
				#c4 = re.sub(r"\.", ',', c4)

				out.write(str(n) + '\t')
				out.write(c1 + '\t')
				out.write(c2 + '\t')
				out.write(c3 + '\t')
				out.write(c4 + '\n')
				n = n + 1
				#out.write(re.sub('\s+', ' ', line) + '\n')

parser = argparse.ArgumentParser(description='nothing yet')
parser.add_argument('-f', '--input', dest='path', action='store', required=True)

args = parser.parse_args()
path = args.path

onlyfiles = [f for f in listdir(path) if isfile(join(path, f))]
for f in onlyfiles:
	if f.endswith(".log"):
		transformFile(f)



